<?php

namespace Drupal\Tests\chia\Functional;

use Behat\Mink\Element\NodeElement;
use Drupal\Tests\BrowserTestBase;

/**
 * Test description.
 *
 * @group chia
 */
class ChiaBrowserTest extends BrowserTestBase {

  /**
   * {@inheritdoc}
   */
  protected $defaultTheme = 'stark';

  /**
   * {@inheritdoc}
   */
  protected static $modules = ['system','chia'];

  /**
   * {@inheritdoc}
   */
  protected function setUp(): void {
    parent::setUp();
    // Set up the test here.
  }

  /**
   * Test callback.
   */
  public function testAdminPages() {
    $admin_user = $this->drupalCreateUser(['access administration pages', 'administer chia services', 'view chia status page', 'administer chia nodes', 'administer chia wallets']);
    $this->drupalLogin($admin_user);
    $this->drupalGet('admin/config/services/chia');
    $this->assertSession()->elementExists('xpath', '//h1[text() = "Chia"]');
    $this->drupalGet('admin/config/services/chia/chia-node');
    $this->assertSession()->elementExists('xpath', '//h1[text() = "ChiaNode configuration"]');
    $this->drupalGet('admin/config/services/chia/chia-wallet');
    $this->assertSession()->elementExists('xpath', '//h1[text() = "chia_wallet configuration"]');
    $this->drupalGet('admin/config/services/chia/status');
    $this->assertSession()->elementExists('xpath', '//h1[text() = "Chia Status"]');
    $this->assertEquals(true, true);
  }

}
